<?php

namespace TekNutri\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;

class OrganizacaoContratoAtivo {

    const ORGANIZACOESCONTRATOS = " 
    SELECT  ORG.NRORG,
            ORG.NRINSCRICAOORG,
            ORG.IDTIPOINSCRORG,
            ORG.NMRAZSOCIALORG,
            ORG.NMORGANIZACAO,
            ORG.NMACESSO,
            ORG.DSURLMERCADUM,
            ORG.CDSENHACADOPER,
            ORG.IDPADUNIDMEDORG,
            ORG.IDVALIDCADASTRO,
            ORG.DTVALIDCADASTRO,
            ORG.DSVALIDCADASTRO,
            ORG.IDATIVO,
            ORG.DTINCLUSAO,
            ORG.DTULTATU,
            ORG.NRORGINCLUSAO,
            ORG.CDOPERINCLUSAO,
            ORG.NRORGULTATU,
            ORG.CDOPERULTATU,
            ORG.NRPARCNEGOCIO,
            ORG.IDIDIOMA,
            ORG.NRINSCESTA,
            ORG.NRINSJUREMPR,
            ORG.DSEMAILOPER,
            ORG.NMOPERADOR,
            ORG.DSLOGRADEMPR,
            ORG.NRLOGRADEMPR,
            ORG.DSCMPLOGEMPR,
            ORG.NRCEPEMPR,
            ORG.CDPAIS,
            ORG.SGESTADO,
            ORG.CDMUNICIPIO,
            ORG.NMBAIREMPR,
            ORG.CDINSCMUNI,
            ORG.PREPSTATUS,
            ORG.DSEMAILEMPRESA,
            ORG.NRTELEFOEMPR FROM SIT_CONTRATO SC
            JOIN ORGANIZACAO ORG
            ON ORG.NRORG = SC.NRORGINT
            ORDER BY ORG.NRORG"; 

    protected $connection;

    public function __construct($connection) {
        $this->connection = $connection;
    }

    public function retornaOrganizacoesContratoAtivo() {
        $stmt = $this->connection->prepare(self::ORGANIZACOESCONTRATOS);
        $stmt->execute();
        return $stmt->fetchAll(\PDO::FETCH_ASSOC);
    }
    
    public function organizacoesContratoAtivo(DTO\Request\Filter $request, DTO\Response $response){
        $orgContratoAtivo = $this->retornaOrganizacoesContratoAtivo();
        $response->addDataSet(new DataSet("orgContratoAtivo", $orgContratoAtivo));
    }
    
    
}
